> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04a-foundry-api/inference-runs.md).

# Inference Runs

## List Inference Runs

> Get a paginated list of inference runs for a model version, ordered by creation date (most recent first).

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs":{"get":{"tags":["inference_runs"],"summary":"List Inference Runs","description":"Get a paginated list of inference runs for a model version, ordered by creation date (most recent first).","operationId":"list_inference_runs_inference_runs_get","parameters":[{"name":"model_version_id","in":"query","required":true,"schema":{"type":"integer","description":"Filter by model version ID","title":"Model Version Id"},"description":"Filter by model version ID"},{"name":"sort","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","default":"desc"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"The number of results to skip","default":0,"title":"Skip"},"description":"The number of results to skip"},{"name":"top","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"The number of results to return","default":25,"title":"Top"},"description":"The number of results to return"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponse_InferenceRunResponse_"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"SortDirection":{"type":"string","enum":["asc","desc"],"title":"SortDirection"},"PagedResponse_InferenceRunResponse_":{"properties":{"total":{"type":"integer","title":"Total"},"pageLength":{"type":"integer","title":"Pagelength"},"pageItems":{"items":{"$ref":"#/components/schemas/InferenceRunResponse"},"type":"array","title":"Pageitems"}},"type":"object","required":["total","pageLength","pageItems"],"title":"PagedResponse[InferenceRunResponse]"},"InferenceRunResponse":{"properties":{"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Id"},"modelId":{"type":"integer","title":"Modelid"},"modelVersion":{"type":"integer","title":"Modelversion"},"scoutModelId":{"type":"integer","title":"Scoutmodelid"},"sourceImageryStacItemIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Sourceimagerystacitemids"},"sourceImageryFileName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sourceimageryfilename"},"toi":{"anyOf":[{"$ref":"#/components/schemas/ToiResponse"},{"type":"null"}]},"aoi":{"anyOf":[{"$ref":"#/components/schemas/AoiResponse"},{"type":"null"}]},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"},"completedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completedon"},"durationSeconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Durationseconds"},"status":{"type":"string","title":"Status"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"}},"type":"object","required":["id","modelId","modelVersion","scoutModelId","toi","createdOn","updatedOn","completedOn","durationSeconds","status"],"title":"InferenceRunResponse"},"ToiResponse":{"properties":{"start":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Start"},"end":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"End"}},"type":"object","title":"ToiResponse"},"AoiResponse":{"properties":{"stacItemId":{"type":"integer","title":"Stacitemid"},"stacCollectionId":{"type":"string","title":"Staccollectionid"}},"type":"object","required":["stacItemId","stacCollectionId"],"title":"AoiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Create Inference Run

> Create a new inference run.

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs":{"post":{"tags":["inference_runs"],"summary":"Create Inference Run","description":"Create a new inference run.","operationId":"create_inference_run_inference_runs_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInferenceRunRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InferenceRunResponse"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"CreateInferenceRunRequest":{"properties":{"modelId":{"type":"integer","title":"Modelid"},"modelVersion":{"type":"integer","title":"Modelversion"},"scoutModelId":{"type":"integer","title":"Scoutmodelid"},"sourceImageryStacItemIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Sourceimagerystacitemids"},"toi":{"anyOf":[{"$ref":"#/components/schemas/ToiRequest"},{"type":"null"}]},"aoi":{"anyOf":[{"$ref":"#/components/schemas/AoiRequest"},{"type":"null"}]}},"type":"object","required":["modelId","modelVersion","scoutModelId"],"title":"CreateInferenceRunRequest"},"ToiRequest":{"properties":{"start":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Start"},"end":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"End"}},"type":"object","title":"ToiRequest","description":"Time of Interest request class for handling datetime ranges.\n\n`start` and `end` can be:\n- An ISO 8601 datetime (e.g., \"2018-02-12T00:00:00Z\")\n- None to specify an open interval\n\nArgs:\n    start: The start of the time range (None for open start interval)\n    end: The end of the time range (None for open end interval)\n\nThe string representation of a TOI is \"start/end\", where each part can be an ISO datetime or \"..\" for open intervals when start or end is None.\n\nString Examples:\n- `\"2018-02-12T00:00:00+00:00/2018-03-18T12:31:12+00:00\"`\n- `\"../2018-03-18T12:31:12+00:00\"` if start is None\n- `\"2018-02-12T00:00:00+00:00/..\"` if end is None"},"AoiRequest":{"properties":{"stacItemId":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Stacitemid"},"stacCollectionId":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Staccollectionid"},"geometry":{"anyOf":[{"items":{"additionalProperties":true,"type":"object"},"type":"array"},{"type":"null"}],"title":"Geometry"}},"type":"object","title":"AoiRequest","description":"Area of interest request.\nParameters:\n    stac_item_id (Optional[int], default=None):\n        ID of an existing AOI STAC item.\n    stac_collection_id (Optional[str], default=None):\n        STAC collection the AOI belongs to.\n    geometry (Optional[list[dict]], default=None):\n        List of GeoJSON geometry objects defining the AOI.\n        Mutually exclusive with STAC identifiers. If provided, a new AOI is created."},"InferenceRunResponse":{"properties":{"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Id"},"modelId":{"type":"integer","title":"Modelid"},"modelVersion":{"type":"integer","title":"Modelversion"},"scoutModelId":{"type":"integer","title":"Scoutmodelid"},"sourceImageryStacItemIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Sourceimagerystacitemids"},"sourceImageryFileName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sourceimageryfilename"},"toi":{"anyOf":[{"$ref":"#/components/schemas/ToiResponse"},{"type":"null"}]},"aoi":{"anyOf":[{"$ref":"#/components/schemas/AoiResponse"},{"type":"null"}]},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"},"completedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completedon"},"durationSeconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Durationseconds"},"status":{"type":"string","title":"Status"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"}},"type":"object","required":["id","modelId","modelVersion","scoutModelId","toi","createdOn","updatedOn","completedOn","durationSeconds","status"],"title":"InferenceRunResponse"},"ToiResponse":{"properties":{"start":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Start"},"end":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"End"}},"type":"object","title":"ToiResponse"},"AoiResponse":{"properties":{"stacItemId":{"type":"integer","title":"Stacitemid"},"stacCollectionId":{"type":"string","title":"Staccollectionid"}},"type":"object","required":["stacItemId","stacCollectionId"],"title":"AoiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Get Inference Run

> Get an inference run by ID.

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs/{inference_run_id}":{"get":{"tags":["inference_runs"],"summary":"Get Inference Run","description":"Get an inference run by ID.","operationId":"get_inference_run_inference_runs__inference_run_id__get","parameters":[{"name":"inference_run_id","in":"path","required":true,"schema":{"type":"integer","title":"Inference Run Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InferenceRunResponse"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"InferenceRunResponse":{"properties":{"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Id"},"modelId":{"type":"integer","title":"Modelid"},"modelVersion":{"type":"integer","title":"Modelversion"},"scoutModelId":{"type":"integer","title":"Scoutmodelid"},"sourceImageryStacItemIds":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Sourceimagerystacitemids"},"sourceImageryFileName":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sourceimageryfilename"},"toi":{"anyOf":[{"$ref":"#/components/schemas/ToiResponse"},{"type":"null"}]},"aoi":{"anyOf":[{"$ref":"#/components/schemas/AoiResponse"},{"type":"null"}]},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"},"completedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completedon"},"durationSeconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Durationseconds"},"status":{"type":"string","title":"Status"},"error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error"}},"type":"object","required":["id","modelId","modelVersion","scoutModelId","toi","createdOn","updatedOn","completedOn","durationSeconds","status"],"title":"InferenceRunResponse"},"ToiResponse":{"properties":{"start":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Start"},"end":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"End"}},"type":"object","title":"ToiResponse"},"AoiResponse":{"properties":{"stacItemId":{"type":"integer","title":"Stacitemid"},"stacCollectionId":{"type":"string","title":"Staccollectionid"}},"type":"object","required":["stacItemId","stacCollectionId"],"title":"AoiResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## POST /inference\_runs/{inference\_run\_id}/exports

> Create Inference Run Export

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs/{inference_run_id}/exports":{"post":{"tags":["inference_runs"],"summary":"Create Inference Run Export","operationId":"create_inference_run_export_inference_runs__inference_run_id__exports_post","parameters":[{"name":"inference_run_id","in":"path","required":true,"schema":{"type":"integer","title":"Inference Run Id"}},{"name":"maxResults","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Maximum number of matching results to export","title":"Maxresults"},"description":"Maximum number of matching results to export"},{"name":"minConfidence","in":"query","required":false,"schema":{"anyOf":[{"type":"number","maximum":1,"minimum":0},{"type":"null"}],"description":"Filter by minimum result confidence","title":"Minconfidence"},"description":"Filter by minimum result confidence"},{"name":"categoryId","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"description":"Filter by predicted taxonomy category ID","title":"Categoryid"},"description":"Filter by predicted taxonomy category ID"}],"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InferenceRunExportResponse"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"InferenceRunExportResponse":{"properties":{"exportId":{"type":"string","format":"uuid","title":"Exportid"},"inferenceRunId":{"type":"integer","title":"Inferencerunid"},"maxResults":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Maxresults"},"categoryIds":{"anyOf":[{"items":{"type":"integer"},"type":"array"},{"type":"null"}],"title":"Categoryids"},"minConfidence":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Minconfidence"},"status":{"type":"string","title":"Status"},"errorMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Errormessage"},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"}},"type":"object","required":["exportId","inferenceRunId","status","createdOn","updatedOn"],"title":"InferenceRunExportResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /inference\_runs/{inference\_run\_id}/exports/{export\_id}

> Get Inference Run Export

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs/{inference_run_id}/exports/{export_id}":{"get":{"tags":["inference_runs"],"summary":"Get Inference Run Export","operationId":"get_inference_run_export_inference_runs__inference_run_id__exports__export_id__get","parameters":[{"name":"inference_run_id","in":"path","required":true,"schema":{"type":"integer","title":"Inference Run Id"}},{"name":"export_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Export Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InferenceRunExportResponse"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"InferenceRunExportResponse":{"properties":{"exportId":{"type":"string","format":"uuid","title":"Exportid"},"inferenceRunId":{"type":"integer","title":"Inferencerunid"},"maxResults":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Maxresults"},"categoryIds":{"anyOf":[{"items":{"type":"integer"},"type":"array"},{"type":"null"}],"title":"Categoryids"},"minConfidence":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Minconfidence"},"status":{"type":"string","title":"Status"},"errorMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Errormessage"},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"}},"type":"object","required":["exportId","inferenceRunId","status","createdOn","updatedOn"],"title":"InferenceRunExportResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /inference\_runs/{inference\_run\_id}/exports/{export\_id}/download

> Download Inference Run Export

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs/{inference_run_id}/exports/{export_id}/download":{"get":{"tags":["inference_runs"],"summary":"Download Inference Run Export","operationId":"download_inference_run_export_inference_runs__inference_run_id__exports__export_id__download_get","parameters":[{"name":"inference_run_id","in":"path","required":true,"schema":{"type":"integer","title":"Inference Run Id"}},{"name":"export_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Export Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /inference\_runs/{inference\_run\_id}/results

> Get Inference Run Results

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/inference_runs/{inference_run_id}/results":{"get":{"tags":["inference_runs"],"summary":"Get Inference Run Results","operationId":"get_inference_run_results_inference_runs__inference_run_id__results_get","parameters":[{"name":"inference_run_id","in":"path","required":true,"schema":{"type":"integer","title":"Inference Run Id"}},{"name":"minConfidence","in":"query","required":false,"schema":{"anyOf":[{"type":"number","maximum":1,"minimum":0},{"type":"null"}],"description":"Filter by minimum result confidence","title":"Minconfidence"},"description":"Filter by minimum result confidence"},{"name":"categoryId","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"description":"Filter by predicted taxonomy category ID","title":"Categoryid"},"description":"Filter by predicted taxonomy category ID"},{"name":"sort","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","default":"desc"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"The number of results to skip","default":0,"title":"Skip"},"description":"The number of results to skip"},{"name":"top","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"The number of results to return","default":25,"title":"Top"},"description":"The number of results to return"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponse_InferenceRunResultResponse_"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"SortDirection":{"type":"string","enum":["asc","desc"],"title":"SortDirection"},"PagedResponse_InferenceRunResultResponse_":{"properties":{"total":{"type":"integer","title":"Total"},"pageLength":{"type":"integer","title":"Pagelength"},"pageItems":{"items":{"$ref":"#/components/schemas/InferenceRunResultResponse"},"type":"array","title":"Pageitems"}},"type":"object","required":["total","pageLength","pageItems"],"title":"PagedResponse[InferenceRunResultResponse]"},"InferenceRunResultResponse":{"properties":{"metadetectionId":{"type":"string","title":"Metadetectionid"},"predictedTaxonomyCategoryId":{"type":"integer","title":"Predictedtaxonomycategoryid"},"predictedTaxonomyCategoryName":{"type":"string","title":"Predictedtaxonomycategoryname"},"confidence":{"type":"number","title":"Confidence"},"bbox":{"items":{},"type":"array","title":"Bbox"},"cropUrl":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cropurl"}},"type":"object","required":["metadetectionId","predictedTaxonomyCategoryId","predictedTaxonomyCategoryName","confidence","bbox"],"title":"InferenceRunResultResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
